# Uses of Class
org.apache.avro.io.BinaryEncoder

Packages that use BinaryEncoder
Package
Description
org.apache.avro.file
A container file for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.

## Uses of BinaryEncoder in org.apache.avro.file

Method parameters in org.apache.avro.file with type arguments of type BinaryEncoder
Modifier and Type
Method
Description
`DataFileWriter<D>`
DataFileWriter.`setEncoder(Function<OutputStream,BinaryEncoder> initEncoderFunc)`
Allows setting a different encoder than the default DirectBinaryEncoder.

## Uses of BinaryEncoder in org.apache.avro.io

Subclasses of BinaryEncoder in org.apache.avro.io
Modifier and Type
Class
Description
`class`
`BlockingBinaryEncoder`
A `BinaryEncoder` implementation that writes large arrays and maps as a sequence of blocks.
`class`
`BlockingDirectBinaryEncoder`
An `Encoder` for Avro's binary encoding that does not buffer output.
`class`
`BufferedBinaryEncoder`
An `Encoder` for Avro's binary encoding.
`class`
`DirectBinaryEncoder`
An `Encoder` for Avro's binary encoding that does not buffer output.
Methods in org.apache.avro.io that return BinaryEncoder
Modifier and Type
Method
Description
`BinaryEncoder`
EncoderFactory.`binaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`blockingBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`blockingDirectBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BlockingDirectBinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`directBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.
Methods in org.apache.avro.io with parameters of type BinaryEncoder
Modifier and Type
Method
Description
`BinaryEncoder`
EncoderFactory.`binaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`blockingBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`blockingDirectBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BlockingDirectBinaryEncoder` with the OutputStream provided as the destination for written data.
`BinaryEncoder`
EncoderFactory.`directBinaryEncoder(OutputStream out, BinaryEncoder reuse)`
Creates or reinitializes a `BinaryEncoder` with the OutputStream provided as the destination for written data.

## Uses of BinaryEncoder in org.apache.avro.specific

Methods in org.apache.avro.specific that return BinaryEncoder
Modifier and Type
Method
Description
`static BinaryEncoder`
SpecificData.`getEncoder(ObjectOutput out)`
Runtime utility used by generated classes.